Bug 832462 - katello-cli and katello-cli-headpin should now how to handle upgrading to prevent file conflicts over client.conf.
katello-cli and katello-cli-headpin should now how to handle upgrading to pre...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.1.0
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Jordan OMara
Og Maciel
: Triaged
Depends On:
Blocks: sam12-tracker 858363
  Show dependency treegraph
 
Reported: 2012-06-15 08:56 EDT by Eric Sammons
Modified: 2014-11-09 17:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 858363 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:16:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-06-15 08:56:47 EDT
Description of problem:
When running rpm -Uhv katello-cli-headpin the sysadmin will receive the following error:

file /etc/katello/client.conf from install of katello-cli-headpin-0.2.2-1.el6_2.noarch conflicts with file from package katello-cli-0.1.107-1.el6.noarch

This appears to be a dual ownership issue caused by an upgrade from sam-1.0 where katello-cli was part of the puddle and owned client.conf and sam-1.1 where katello-cli is no longer part of the puddle allowing katello-cli-headpin to more appropriately own the file.

With this upgrade, katello-cli-headpin should be able to deal with this file ownership correctly.

Steps to Reproduce:
1. # rpm -Uhv /mnt/redhat/brewroot/packages/katello-cli-headpin/0.2.2/1.el6_2/data/signed/fd431d51/noarch/katello-cli-headpin-0.2.2-1.el6_2.noarch.rpm
Preparing...                ########################################### [100%]
	file /etc/katello/client.conf from install of katello-cli-headpin-0.2.2-1.el6_2.noarch conflicts with file from package katello-cli-0.1.107-1.el6.noarch
Comment 2 Jordan OMara 2012-07-24 16:30:59 EDT
In katello-cli-headpin, the conf file is already set to %config(noreplace) which will end with the new file being .rpmnew which is what was requested
Comment 3 Jordan OMara 2012-07-25 15:12:54 EDT
https://github.com/Katello/katello/pull/360
Comment 4 Og Maciel 2012-10-04 17:18:15 EDT
* Installed SAM 1.1

[root@qetello04 ~]# rpm -q katello-cli-headpin
katello-cli-headpin-0.2.2-1.el6_2.noarch
[root@qetello04 ~]# cp /etc/katello/client.conf .
[root@qetello04 ~]# wget http://fedorapeople.org/groups/katello/releases/yum/nightly/RHEL/6/x86_64/katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch.rpm
--2012-10-04 16:53:04--  http://fedorapeople.org/groups/katello/releases/yum/nightly/RHEL/6/x86_64/katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch.rpm
Resolving fedorapeople.org... 2610:28:3090:3001:5054:ff:fedb:7f5a, 152.19.134.191
Connecting to fedorapeople.org|2610:28:3090:3001:5054:ff:fedb:7f5a|:80... failed: Network is unreachable.
Connecting to fedorapeople.org|152.19.134.191|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 68792 (67K) [application/x-rpm]
Saving to: “katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch.rpm”

100%[==================================================================================>] 68,792       377K/s   in 0.2s    

2012-10-04 16:53:05 (377 KB/s) - “katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch.rpm” saved [68792/68792]

[root@qetello04 ~]# yum localinstall -y katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch.rpm
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.

Please use yum-config-manager to configure which software
repositories are used with Red Hat Subscription Management.

Setting up Local Package Process
Examining katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch.rpm: katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch
Marking katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch.rpm to be installed
rhel-6-server-cf-tools-1-rpms                                                                        | 2.8 kB     00:00     
rhel-6-server-rpms                                                                                   | 3.7 kB     00:00     
rhel-ha-for-rhel-6-server-rpms                                                                       | 3.7 kB     00:00     
rhel-lb-for-rhel-6-server-rpms                                                                       | 3.7 kB     00:00     
rhel-rs-for-rhel-6-server-rpms                                                                       | 3.7 kB     00:00     
rhel-scalefs-for-rhel-6-server-rpms                                                                  | 3.7 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package katello-cli.noarch 0:1.1.9-1.git.6.8db32c1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================
 Package           Arch         Version                           Repository                                           Size
============================================================================================================================
Installing:
 katello-cli       noarch       1.1.9-1.git.6.8db32c1.el6         /katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch        29 k

Transaction Summary
============================================================================================================================
Install       1 Package(s)

Total size: 29 k
Installed size: 29 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /etc/katello/client.conf from install of katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch conflicts with file from package katello-cli-headpin-0.2.2-1.el6_2.noarch
  file /usr/bin/headpin from install of katello-cli-1.1.9-1.git.6.8db32c1.el6.noarch conflicts with file from package katello-cli-headpin-0.2.2-1.el6_2.noarch

Error Summary
-------------
Comment 6 Og Maciel 2013-01-08 16:53:18 EST
Verified (via automation):

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarch
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 8 errata-xmlrpc 2013-02-21 14:16:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.